<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DrawFactory (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DrawFactory (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":9,"i18":10,"i19":10,"i20":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawConnectorShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawFontManager.html"
               title="interface in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawFactory.html" target="_top">Frames</a></li>
        <li><a href="DrawFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.draw</div>
    <h2 title="Class DrawFactory" class="title">Class DrawFactory</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.sl.draw.DrawFactory</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DrawFactory</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected static java.lang.ThreadLocal&lt;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                        title="class in org.apache.poi.sl.draw">DrawFactory</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#defaultFactory">defaultFactory</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#DrawFactory--">DrawFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#drawShape-java.awt.Graphics2D-org.apache.poi.sl.usermodel.Shape-java.awt.geom.Rectangle2D-">drawShape</a></span>(java.awt.Graphics2D&nbsp;graphics,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                       title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;?,?&gt;&nbsp;shape,
                                    java.awt.geom.Rectangle2D&nbsp;bounds)</code>
                                    <div class="block">Convenience method for drawing single shapes.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#fixFonts-java.awt.Graphics2D-">fixFonts</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Replace font families for Windows JVM 6, which contains a font
                                        rendering error.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawBackground.html"
                                        title="class in org.apache.poi.sl.draw">DrawBackground</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.Background-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                        title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawConnectorShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawConnectorShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.ConnectorShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFreeformShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawFreeformShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.FreeformShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawGraphicalFrame.html"
                                        title="class in org.apache.poi.sl.draw">DrawGraphicalFrame</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.GraphicalFrame-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                        title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawGroupShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawGroupShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.GroupShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawMasterSheet.html"
                                        title="class in org.apache.poi.sl.draw">DrawMasterSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.MasterSheet-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;?,?&gt;&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPictureShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawPictureShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.PictureShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code><a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                              title="interface in org.apache.poi.sl.draw">Drawable</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.Shape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawSheet.html"
                                        title="class in org.apache.poi.sl.draw">DrawSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.Sheet-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;?,?&gt;&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawSlide.html"
                                        title="class in org.apache.poi.sl.draw">DrawSlide</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.Slide-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;?,?&gt;&nbsp;sheet)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawTableShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.TableShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextBox.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextBox</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.TextBox-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextParagraph</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.TextParagraph-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getDrawable-org.apache.poi.sl.usermodel.TextShape-">getDrawable</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFontManager.html"
                                        title="interface in org.apache.poi.sl.draw">DrawFontManager</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getFontManager-java.awt.Graphics2D-">getFontManager</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Return a FontManager, either registered beforehand or a default
                                        implementation
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                        title="class in org.apache.poi.sl.draw">DrawFactory</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getInstance-java.awt.Graphics2D-">getInstance</a></span>(java.awt.Graphics2D&nbsp;graphics)</code>
                                    <div class="block">Returns the DrawFactory, preferably via a graphics instance.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawPaint.html"
                                        title="class in org.apache.poi.sl.draw">DrawPaint</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getPaint-org.apache.poi.sl.usermodel.PlaceableShape-">getPaint</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                        title="class in org.apache.poi.sl.draw">DrawTextFragment</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#getTextFragment-java.awt.font.TextLayout-java.text.AttributedString-">getTextFragment</a></span>(java.awt.font.TextLayout&nbsp;layout,
                                    java.text.AttributedString&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>static void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html#setDefaultFactory-org.apache.poi.sl.draw.DrawFactory-">setDefaultFactory</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                        title="class in org.apache.poi.sl.draw">DrawFactory</a>&nbsp;factory)</code>
                                    <div class="block">Set a custom draw factory for the current thread.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="defaultFactory">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>defaultFactory</h4>
                                <pre>protected static final&nbsp;java.lang.ThreadLocal&lt;<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                        title="class in org.apache.poi.sl.draw">DrawFactory</a>&gt; defaultFactory</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="DrawFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>DrawFactory</h4>
                                <pre>public&nbsp;DrawFactory()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setDefaultFactory-org.apache.poi.sl.draw.DrawFactory-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setDefaultFactory</h4>
                                <pre>public static&nbsp;void&nbsp;setDefaultFactory(<a
                                        href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                        title="class in org.apache.poi.sl.draw">DrawFactory</a>&nbsp;factory)</pre>
                                <div class="block">Set a custom draw factory for the current thread.
                                    This is a fallback, for operations where usercode can't set a graphics context.
                                    Preferably use the rendering hint <a
                                            href="../../../../../org/apache/poi/sl/draw/Drawable.html#DRAW_FACTORY"><code>Drawable.DRAW_FACTORY</code></a>
                                    to set the factory.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>factory</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getInstance-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getInstance</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawFactory.html"
                                                           title="class in org.apache.poi.sl.draw">DrawFactory</a>&nbsp;getInstance(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Returns the DrawFactory, preferably via a graphics instance.
                                    If graphics is null, the current thread local is checked or
                                    if it is not set, a new factory is created.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the current graphics context or null</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the draw factory</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.Shape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/Drawable.html"
                                                    title="interface in org.apache.poi.sl.draw">Drawable</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.Slide-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawSlide.html"
                                                    title="class in org.apache.poi.sl.draw">DrawSlide</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="interface in org.apache.poi.sl.usermodel">Slide</a>&lt;?,?&gt;&nbsp;sheet)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.Sheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawSheet.html"
                                                    title="class in org.apache.poi.sl.draw">DrawSheet</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;?,?&gt;&nbsp;sheet)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.MasterSheet-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawMasterSheet.html"
                                                    title="class in org.apache.poi.sl.draw">DrawMasterSheet</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&lt;?,?&gt;&nbsp;sheet)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.TextBox-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawTextBox.html"
                                                    title="class in org.apache.poi.sl.draw">DrawTextBox</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.FreeformShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawFreeformShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawFreeformShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.ConnectorShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawConnectorShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawConnectorShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.TableShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawTableShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawTableShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.TextShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawTextShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawTextShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.GroupShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawGroupShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawGroupShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.PictureShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawPictureShape.html"
                                                    title="class in org.apache.poi.sl.draw">DrawPictureShape</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.GraphicalFrame-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawGraphicalFrame.html"
                                                    title="class in org.apache.poi.sl.draw">DrawGraphicalFrame</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                                        title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.TextParagraph-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawTextParagraph.html"
                                                    title="class in org.apache.poi.sl.draw">DrawTextParagraph</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;?,?,?&gt;&nbsp;paragraph)</pre>
                            </li>
                        </ul>
                        <a name="getDrawable-org.apache.poi.sl.usermodel.Background-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDrawable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawBackground.html"
                                                    title="class in org.apache.poi.sl.draw">DrawBackground</a>&nbsp;getDrawable(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Background.html"
                                        title="interface in org.apache.poi.sl.usermodel">Background</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="getTextFragment-java.awt.font.TextLayout-java.text.AttributedString-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextFragment</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawTextFragment.html"
                                                    title="class in org.apache.poi.sl.draw">DrawTextFragment</a>&nbsp;getTextFragment(java.awt.font.TextLayout&nbsp;layout,
                                        java.text.AttributedString&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="getPaint-org.apache.poi.sl.usermodel.PlaceableShape-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPaint</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawPaint.html"
                                                    title="class in org.apache.poi.sl.draw">DrawPaint</a>&nbsp;getPaint(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;?,?&gt;&nbsp;shape)</pre>
                            </li>
                        </ul>
                        <a name="drawShape-java.awt.Graphics2D-org.apache.poi.sl.usermodel.Shape-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>drawShape</h4>
                                <pre>public&nbsp;void&nbsp;drawShape(java.awt.Graphics2D&nbsp;graphics,
                      <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                         title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;?,?&gt;&nbsp;shape,
                      java.awt.geom.Rectangle2D&nbsp;bounds)</pre>
                                <div class="block">Convenience method for drawing single shapes.
                                    For drawing whole slides, use <a
                                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-"><code>Sheet.draw(Graphics2D)</code></a>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics context to draw to</dd>
                                    <dd><code>shape</code> - the shape</dd>
                                    <dd><code>bounds</code> - the bounds within the graphics context to draw to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="fixFonts-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>fixFonts</h4>
                                <pre>public&nbsp;void&nbsp;fixFonts(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Replace font families for Windows JVM 6, which contains a font
                                    rendering error.
                                    This is likely to be removed, when POI upgrades to JDK 7
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics context which will contain the font mapping
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFontManager-java.awt.Graphics2D-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFontManager</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/sl/draw/DrawFontManager.html"
                                                    title="interface in org.apache.poi.sl.draw">DrawFontManager</a>&nbsp;getFontManager(java.awt.Graphics2D&nbsp;graphics)</pre>
                                <div class="block">Return a FontManager, either registered beforehand or a default
                                    implementation
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>graphics</code> - the graphics context holding potentially a font manager
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font manager</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DrawFactory.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawConnectorShape.html"
               title="class in org.apache.poi.sl.draw"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/sl/draw/DrawFontManager.html"
               title="interface in org.apache.poi.sl.draw"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/draw/DrawFactory.html" target="_top">Frames</a></li>
        <li><a href="DrawFactory.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
